Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

Path Parameters

paymentId
string<uuid>
required

The ID of a Roqqett payment or refund record.

Maximum string length: 36
Example:

"9c4e1a7b-3d2f-4b6a-8e5c-0f7d2a9b1c34"

Query Parameters

accountId
string
required

The ID of the account to work with.

Example:

"F50091"

Body

application/json

Body

amount
object
required

How much to refund. At most the payment amount less anything already refunded, in the payment's currency.

reason
string

Why the refund is being made.

Required string length: 1 - 140
Example:

"Item returned"

Response

Created

id
string<uuid>
required

The ID of a refund.

Maximum string length: 36
Example:

"4a7d2c9e-1b5f-4e3a-9c8d-6b0f1e2a7c45"

paymentId
string<uuid>
required

The payment being refunded.

Maximum string length: 36
Example:

"9c4e1a7b-3d2f-4b6a-8e5c-0f7d2a9b1c34"

status
enum<string>
required

AWAITING_AUTHORISATION until the merchant authorises the refund at their bank via authorisationUrl.

Available options:
AWAITING_AUTHORISATION,
PENDING,
COMPLETED,
FAILED,
CANCELLED
Example:

"AWAITING_AUTHORISATION"

amount
object
required

A money value: a decimal amount as a string plus an ISO-4217 currency code.

reason
string | null
required

Why the refund was made.

Maximum string length: 140
Example:

"Item returned"

authorisationUrl
string<uri> | null
required

Open in a new window for the merchant to authorise the refund at their bank, then poll the refund. null once authorised.

Maximum string length: 2048
Example:

"https://pay.roqqett.com/ob/refund/4a7d2c9e-1b5f-4e3a-9c8d-6b0f1e2a7c45"

createdAt
string<date-time>
required

The date the Resource was initially created. ISO 8601 format without milliseconds.

completedAt
string<date-time> | null
required

When the refund reached a terminal status.

Example:

"2026-10-02T12:10:00Z"